<template>
  <div class="text">
      <div v-for="(item,index) in text" :key="index" class="list" @click="store(item.title)">
          <div class="left">{{item.title}}</div>
          <div class="right">
              <span style="margin-right:24rpx">{{item.text}}</span>
              <img :src="right" v-if="item.title==='适用门店' " />
              <img :src="right" v-if="item.title==='适用类型'" />
          </div>
      </div>
  </div>
</template>

<script type="text/ecmascript-6">

  import config from '@/config'
  export default {
    data(){
      return{
        right:config.url+'right.png',
        listTop : 0,
        top1 : 0,
      }
    },

    props:{
      text:{
        default(){
          return{
              title:'',
              text:''
           
          }
        }
      }
    },
    methods:{
        store(data){
           this.$emit('textclick',data);
        },
        type(data){
           this.$emit('textclick',data);
        }

     
    },

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.text{
    margin-top:1rem;
    .list{
        display:flex;
        margin: 0.36rem 0.7rem;
        .left{
             color:#727171;
             font-size:0.26rem; 
        } 
        .right{
            position:absolute;
            right:0.7rem;
            color:#727171;
           font-size:0.26rem;
           span{
            color:#727171;
            font-size:0.26rem;
           }
           img{
               width:0.15rem;
               height:0.22rem
           }
        }
    }

}
  
  
</style>
